
// Cookie

/**
 *
*/
function getCookieValue(offset)
{
	var endstr = document.cookie.indexOf (";", offset);
	if ( endstr == -1 )
	{
		endstr = document.cookie.length;
	}
	return unescape(document.cookie.substring(offset, endstr));
}

/**
 *
*/
function getCookie(name)
{
	var arg = name + "=";
	var alen = arg.length;
	var clen = document.cookie.length;
	var i = 0;
	while ( i < clen )
	{
		var j = i + alen;
		if ( document.cookie.substring(i, j) == arg )
		{
			return getCookieValue(j);
		}
		i = document.cookie.indexOf(" ", i) + 1;
		if ( i === 0 )
		{
			break;
		}
	}
	return null;
}

/**
 *
*/
function setCookie(name, value)
{
	var argv = setCookie.arguments;
	var argc = setCookie.arguments.length;
	var expires = (argc > 2) ? argv[2] : null;
	var path    = (argc > 3) ? argv[3] : null;
	var domain  = (argc > 4) ? argv[4] : null;
	var secure  = (argc > 5) ? argv[5] : false;
	document.cookie = name + "=" + escape (value) + ((expires === null) ? "" : ("; expires=" + expires.toGMTString())) + ((path === null) ? "" : ("; path=" + path)) + ((domain === null) ? "" : ("; domain=" + domain)) + ((secure === true) ? "; secure" : "");
}

// Course

/**
 *
*/
function getCurrentCourse()
{
	var current = getCookie("page");
	if ( current )
	{
		document.location.href = current;
	}
	else
	{
		document.location.href = "intro.html";
	}
}

/**
 *
*/
function setCurrentCourse(current)
{
	if ( !current )
	{
		current = getCurrentFileName();
	}
	setCookie("page", current);
}

/**
 *
*/
function getCurrentFileName()
{
	var pathFile = document.location.href.split("/");
	var currentFileName = pathFile[pathFile.length - 1];
	return currentFileName;
}

/**
 *
*/
function initialize()
{
	if ( getCurrentFileName() != "index.html" &&
		getCurrentFileName() != "activites.html" &&
		getCurrentFileName() != "glossaire.html" &&
		getCurrentFileName() != "activites.html" &&
		getCurrentFileName() != "ressources.html" &&
		getCurrentFileName() != "bibliographie.html" &&
		getCurrentFileName() != "webographie.html" &&
		getCurrentFileName() != "medias.html" &&
		getCurrentFileName() != "aide.html" )
	{
		window.onunload = setCurrentCourse( getCurrentFileName() );
	}
}

YAHOO.util.Event.on(window, "load", initialize);